%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%global         eggname TGCaptcha

Name:           python-tgcaptcha
Version:        0.11
Release:        18%{?dist}
Summary:        TurboGears CAPTCHA widget for forms

Group:          Development/Libraries
License:        MIT
URL:            http://code.google.com/p/tgcaptcha
Source0:        http://tgcaptcha.googlecode.com/files/%{eggname}-%{version}.tar.gz
Patch0:         python-tgcaptcha-system-tuffy.patch
Patch1: tgcaptcha-setup.patch
Patch2: tgcaptcha-pillow.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python-devel TurboGears
Requires:       TurboGears >= 1.0.1
Requires:       python-crypto >= 2.0.1
Requires:       python-imaging
Requires:       tulrich-tuffy-fonts

%description
TGCaptcha is a TurboGears widget that provides an easy way to incorporate a
captcha as part a form in an attempt to reduce spam or malicious activity.


%prep
%setup -q -n %{eggname}-%{version}
%patch0 -p1 -b .tuffy
%patch1 -p1 -b .oldcp
%patch2 -p1 -b .pillow

%build
rm -rf tgcaptcha/static/fonts/

%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT 


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README.txt COPYRIGHT.txt
%{python_sitelib}/*



%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-18
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.11-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jan 16 2013 Toshio Kuratomi <toshio@fedoraproject.org> - 0.11-12
- Change imports to work with either python-imaging or python-pillow

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Aug 3 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 0.11-9
- Fix build to pull in old cherrypy

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.11-8
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Mar 03 2009 Felix Schwarz <felix.schwarz@oss.schwarz.eu> - 0.11-6
- Use system installed tuffy (patch by Toshio Kuratomi)

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.11-4
- Rebuild for Python 2.6

* Wed Apr 23 2008 Luke Macken <lmacken@redhat.com> 0.11-3
- Require python-imaging

* Tue Mar 11 2008 Luke Macken <lmacken@redhat.com> 0.11-2
- Make package noarch
- Fix lengthy description
- Remove the executable bit from the fonts

* Mon Mar 10 2008 Luke Macken <lmacken@redhat.com> 0.11-1
- Initial package
